#include <stdio.h>
#include <allegro.h>

#include "prjxmain.h"
#include "central.h"

int playwav(char *wavefile)
{
   SAMPLE *the_sample;
   the_sample=load_wav(wavefile);
   if(!the_sample)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",wavefile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }
   play_sample(the_sample,255,128,1000,0);
   return(0);
}

int playmidi(char *midifile)
{
   MIDI *the_midi;
   the_midi=load_midi(midifile);
   if(!the_midi)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",midifile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }

   play_midi(the_midi,TRUE);
   return(0);
}

int showpict(char *pictfile,int x, int y, int destx, int desty, int width, int height)
{
   PALLETE pallete1;
   BITMAP *the_pict;

   the_pict=load_bitmap(pictfile,pallete1);
   if(!the_pict)
   {
      allegro_exit();
      clrscr();
      printf("Error: Couldn't load %s\n",pictfile);
      printf("Please check the files and try your game again.\n");
      exit(1);
   }
   set_pallete(pallete1);
   blit(the_pict,screen,x,y,destx,desty,width,height);
}

int do_logo(void)
{
   GAME_STAT=LOGO;
   showpict("GRAFIX\\21STMRWN.TGA",0,0,0,0,320,200);
   playwav("AUDIO\\LIGHTNG.WAV");
   delay(5000);
   fade_out(1);
   delay(2000);
   return(0);
}

int do_mainmenu(int WhichPic)
{
   GAME_STAT=MAINMENU;
   if(WhichPic == -1)
   {
      playmidi("AUDIO\\PRJXTHME.MID");
      showpict("GRAFIX\\PRJXLOGO.TGA",0,0,0,0,320,200);
   }
   showpict("GRAFIX\\GR_NEW.TGA",0,0,15,161,70,25);
   showpict("GRAFIX\\GR_LOAD.TGA",0,0,95,161,70,25);
   showpict("GRAFIX\\GR_SETUP.TGA",0,0,170,161,70,25);
   showpict("GRAFIX\\GR_QUIT.TGA",0,0,230,162,70,25);

   switch(WhichPic)
   {
      case -1:
      case 0:
         showpict("GRAFIX\\WH_NEW.TGA",0,0,15,161,70,25);
         break;
      case 1:
         showpict("GRAFIX\\WH_LOAD.TGA",0,0,95,161,70,25);
         break;
      case 2:
         showpict("GRAFIX\\WH_SETUP.TGA",0,0,170,161,70,25);
         break;
      case 3:
         showpict("GRAFIX\\WH_QUIT.TGA",0,0,230,162,70,25);
         break;
   }
   playwav("AUDIO\\MENUCHNG.WAV");
   return(0);
}

